oracle.pg.common

## Class ParametersBase

- java.lang.Object
- - oracle.pg.common.ParametersBase

-     public class ParametersBase
      extends Object

  This class implements a cache layer for OracleVertex objects. Note that by design each graph will have its own verticies cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCharset()` Returns the default charset
    `static ParametersBase` | `getInstance()` Returns a pre-created instance of a ParametersBase object.
    `boolean` | `getUseWildcards()` Validates if wild cards are enabled when executing queries based on a key value pair.
    `boolean` | `isSuperVerboseOn()`
    `boolean` | `showProgress()`
    `boolean` | `syncCache()` Returns true if the underlying vertex cache and edge cache are synchronized

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParametersBase

          public ParametersBase()

  - ### Method Detail

    - #### getCharset

          public static String getCharset()

      Returns the default charset

    - #### getInstance

          public static ParametersBase getInstance()

      Returns a pre-created instance of a ParametersBase object.

    - #### getUseWildcards

          public boolean getUseWildcards()

      Validates if wild cards are enabled when executing queries based on a key value pair.
      Returns:
        true if wild cards are enabled, else return false.

    - #### isSuperVerboseOn

          public boolean isSuperVerboseOn()

    - #### showProgress

          public boolean showProgress()

    - #### syncCache

          public boolean syncCache()

      Returns true if the underlying vertex cache and edge cache are synchronized

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.